Skip to main content
POST
/
api
/
v1
/
tests
/
yaml
/
from-yaml
Create Test From Yaml
curl --request POST \
  --url https://backend.revyl.ai/api/v1/tests/yaml/from-yaml \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "yaml_content": "<string>",
  "metadata_overrides": {}
}
'
{
  "success": true,
  "test_id": "<string>",
  "extracted_metadata": {},
  "blocks_count": 123,
  "generated_ids": [
    "<string>"
  ],
  "errors": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request model for creating tests from YAML

yaml_content
string
required

YAML content

metadata_overrides
Metadata Overrides · object

Metadata overrides

Response

Successful Response

Response model for YAML test creation

success
boolean
required

Whether the operation was successful

test_id
string
required

Generated test ID

extracted_metadata
Extracted Metadata · object
required

Metadata extracted from YAML

blocks_count
integer
required

Number of blocks created

generated_ids
string[]
required

List of generated block IDs

errors
string[]

Any errors that occurred

created_at
string<date-time> | null

Creation timestamp

error
string | null

Error message